Subject: Re: bug#74561: [PATCH] Allow limiting the size of *Completions*

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Feb 2025 12:07:11 -0800

Spencer Baugh via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Nope, no user-facing behavior changes.  In fact, this probably shouldn't
> be user-customizable at all, since it's an internal optimization with
> essentially no cost.  So I've changed this into a defvar
> completions--insert-lazily.

SGTM, but I have a question:

What happens on very large displays?  Is 200 always going to be enough
completions?  I imagine some users will be doing unusual things like
having the completion buffer take up their whole 42" 5K monitor.

So should this perhaps be calculated dynamically based on the geometry
of the window, somehow?